% main function for the solution of Symm's integral equation;


%*** define problem: We solve V\phi = f
f      = @(x,varargin) log(2)/2;
phi_ex = @(x,varargin) (1-x(:,1).^2).^(-1/2); % exact solution

nElem = 8; 
P = 10; 

%*** define mesh
coordinates = [linspace(-1,1,nElem+1), zeros(nElem+1,1)];
elements    = [(1:nElem)', (2:nElem_1)'];
p           = P*ones(size(nElem,1),1);

%*** build V and b
%TODO


%*** solve linear  system
x = V\b;

%*** display the solution

figure(1)
plotArclengthP(coordinates,elements,p,x,phi_ex);

figure(2)
showSolDom(coordinates,elements,[],p+1,x,p, linspace(-2,2,101), linspace(-1,1,101),'interior');